Solved

"Provider" is not exported by app-bridge-react 4.0

lokki54
Shopify Partner
47 0 11

Just update the npm package for app-bridge-react from v3.x to v4.0 and the app can not compile with the error

RollupError: "Provider" is not exported by "node_modules/@shopify/app-bridge-react/dist/index.js", imported by "app/javascript/components/Component.jsx".

 

Is any breaking change in App Bridge and AppBridge react and where is changelog?

 

Accepted Solution (1)

SBD_
Shopify Staff
1829 270 412

This is an accepted solution.

Hey @lokki54 

 

Version 4 removes the need of a Provider. Here's the migration guide: https://shopify.dev/docs/api/app-bridge/migration-guide

Scott | Developer Advocate @ Shopify 

View solution in original post

Replies 3 (3)

SBD_
Shopify Staff
1829 270 412

This is an accepted solution.

Hey @lokki54 

 

Version 4 removes the need of a Provider. Here's the migration guide: https://shopify.dev/docs/api/app-bridge/migration-guide

Scott | Developer Advocate @ Shopify 

jaymitBeladiya
Shopify Partner
19 0 5

Hey,

I'm getting error as below:
Uncaught (in promise) TypeError: appBridge.subscribe is not a function

Do you have any idea why this error occurring?

sebastiandev
Shopify Partner
63 1 20

same error